<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackStateObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_track_state_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackStateObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_track_state_obj_8h_source.html">TrackStateObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::TrackStateObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_track_state_obj__inherit__graph.png" border="0" usemap="#eic_1_1_track_state_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_track_state_obj_inherit__map" id="eic_1_1_track_state_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::TrackStateObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_track_state_obj__coll__graph.png" border="0" usemap="#eic_1_1_track_state_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_track_state_obj_coll__map" id="eic_1_1_track_state_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_track_state_data.html" title="eic::TrackStateData" alt="" coords="101,5,240,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a50e660fb0c6be5430c797eed733973d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_obj.html#a50e660fb0c6be5430c797eed733973d7">TrackStateObj</a> ()</td></tr>
<tr class="memdesc:a50e660fb0c6be5430c797eed733973d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#a50e660fb0c6be5430c797eed733973d7">More...</a><br /></td></tr>
<tr class="separator:a50e660fb0c6be5430c797eed733973d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45d9132010fd88c96d3866226b3afa4c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_obj.html#a45d9132010fd88c96d3866226b3afa4c">TrackStateObj</a> (const <a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a> &amp;)</td></tr>
<tr class="memdesc:a45d9132010fd88c96d3866226b3afa4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a45d9132010fd88c96d3866226b3afa4c">More...</a><br /></td></tr>
<tr class="separator:a45d9132010fd88c96d3866226b3afa4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace14a924388d566de9cc0b1953cfce22"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_obj.html#ace14a924388d566de9cc0b1953cfce22">TrackStateObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_track_state_data.html">TrackStateData</a> <a class="el" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>)</td></tr>
<tr class="separator:ace14a924388d566de9cc0b1953cfce22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fdf990dc1b39694e679aac9dd98e382"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_obj.html#a4fdf990dc1b39694e679aac9dd98e382">~TrackStateObj</a> ()</td></tr>
<tr class="separator:a4fdf990dc1b39694e679aac9dd98e382"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a28fc1f1450a4cf1fd106d86e3b1ff540"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_state_data.html">TrackStateData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a></td></tr>
<tr class="separator:a28fc1f1450a4cf1fd106d86e3b1ff540"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_track_state_obj_8h_source.html#l00018">18</a> of file <a class="el" href="_track_state_obj_8h_source.html">TrackStateObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a50e660fb0c6be5430c797eed733973d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50e660fb0c6be5430c797eed733973d7">&#9670;&nbsp;</a></span>TrackStateObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackStateObj::TrackStateObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_track_state_obj_8cc_source.html#l00006">6</a> of file <a class="el" href="_track_state_obj_8cc_source.html">TrackStateObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="a45d9132010fd88c96d3866226b3afa4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45d9132010fd88c96d3866226b3afa4c">&#9670;&nbsp;</a></span>TrackStateObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackStateObj::TrackStateObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_track_state_obj_8cc_source.html#l00015">15</a> of file <a class="el" href="_track_state_obj_8cc_source.html">TrackStateObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="ace14a924388d566de9cc0b1953cfce22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace14a924388d566de9cc0b1953cfce22">&#9670;&nbsp;</a></span>TrackStateObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackStateObj::TrackStateObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_track_state_data.html">TrackStateData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_track_state_data.html">TrackStateData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_track_state_obj_8cc_source.html#l00011">11</a> of file <a class="el" href="_track_state_obj_8cc_source.html">TrackStateObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="a4fdf990dc1b39694e679aac9dd98e382"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fdf990dc1b39694e679aac9dd98e382">&#9670;&nbsp;</a></span>~TrackStateObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackStateObj::~TrackStateObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_obj_8cc_source.html#l00021">21</a> of file <a class="el" href="_track_state_obj_8cc_source.html">TrackStateObj.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a28fc1f1450a4cf1fd106d86e3b1ff540"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28fc1f1450a4cf1fd106d86e3b1ff540">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_state_data.html">TrackStateData</a> eic::TrackStateObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_obj_8h_source.html#l00030">30</a> of file <a class="el" href="_track_state_obj_8h_source.html">TrackStateObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_const_8cc_source.html#l00020">eic::ConstTrackState::ConstTrackState()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00053">eic::ConstTrackState::d0()</a>, <a class="el" href="_track_state_8cc_source.html#l00055">eic::TrackState::d0()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00052">eic::ConstTrackState::location()</a>, <a class="el" href="_track_state_8cc_source.html#l00054">eic::TrackState::location()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00055">eic::ConstTrackState::omega()</a>, <a class="el" href="_track_state_8cc_source.html#l00057">eic::TrackState::omega()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00054">eic::ConstTrackState::phi()</a>, <a class="el" href="_track_state_8cc_source.html#l00056">eic::TrackState::phi()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00058">eic::ConstTrackState::referencePoint()</a>, <a class="el" href="_track_state_8cc_source.html#l00060">eic::TrackState::referencePoint()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00057">eic::ConstTrackState::tanLambda()</a>, <a class="el" href="_track_state_8cc_source.html#l00059">eic::TrackState::tanLambda()</a>, <a class="el" href="_track_state_8cc_source.html#l00020">eic::TrackState::TrackState()</a>, <a class="el" href="_track_state_obj_8cc_source.html#l00006">TrackStateObj()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00056">eic::ConstTrackState::z0()</a>, and <a class="el" href="_track_state_8cc_source.html#l00058">eic::TrackState::z0()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_track_state_obj_8h_source.html">TrackStateObj.h</a></li>
<li>src/<a class="el" href="_track_state_obj_8cc_source.html">TrackStateObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
